Bug 267912 - Runtime Platform is not populated with Remote Java SE platforms
Runtime Platform is not populated with Remote Java SE platforms
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Project
8.1
PC Windows 7
: P2 (vote)
: 8.2
Assigned To: Tomas Zezula
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-07 06:28 UTC by Alexander Kouznetsov
Modified: 2016-09-13 17:17 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Drop down list when going via Customize (32.09 KB, image/png)
2016-09-07 06:30 UTC, Alexander Kouznetsov
Details
Dropdown when going via File > Project Properties (32.20 KB, image/png)
2016-09-07 06:31 UTC, Alexander Kouznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kouznetsov 2016-09-07 06:28:19 UTC
When I open "Set Project Configuration" dropdown in the toolbar and click on "Customize" I then have no Remote Java SE platforms in the dropdown list named "Runtime Platform".

When I open the same dialog via File -> Project Properties menu, the drop down list of the platforms is populated.

I think 252299 reports the same behavior.


Product Version: NetBeans IDE 8.1 (Build 201510222201)
Updates: Updates available to version NetBeans 8.1 Patch 1
Java: 1.8.0_77; Java HotSpot(TM) 64-Bit Server VM 25.77-b03
Runtime: Java(TM) SE Runtime Environment 1.8.0_77-b03
Comment 1 Alexander Kouznetsov 2016-09-07 06:30:29 UTC
Created attachment 161937 [details]
Drop down list when going via Customize
Comment 2 Alexander Kouznetsov 2016-09-07 06:31:34 UTC
Created attachment 161938 [details]
Dropdown when going via File > Project Properties
Comment 3 Tomas Zezula 2016-09-12 11:08:48 UTC
Fixed jet-main 0b2193729c86
Comment 4 Tomas Zezula 2016-09-12 11:09:21 UTC
Increasing to P2 as the fix deserves to be in NB 8.2.
Comment 5 Quality Engineering 2016-09-13 02:02:44 UTC
Integrated into 'main-silver', will be available in build *201609130002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/0b2193729c86
User: Tomas Zezula <tzezula@netbeans.org>
Log: #267912:Runtime Platform is not populated with Remote Java SE platforms
Comment 6 Tomas Zezula 2016-09-13 17:17:47 UTC
Transplanted into NB 8.2 2718409157f3


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo